## org.apache.lucene.queryParser.core.nodes
Enum ParametricQueryNode.CompareOperator

    java.lang.Object
      java.lang.Enum<ParametricQueryNode.CompareOperator>
          org.apache.lucene.queryParser.core.nodes.ParametricQueryNode.CompareOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParametricQueryNode.CompareOperator>

Enclosing class:
  ParametricQueryNode

    public static enum ParametricQueryNode.CompareOperator

extends java.lang.Enum<ParametricQueryNode.CompareOperator>

Enum Constant Summary
`EQ`
`GE`
`GT`
`LE`
`LT`
`NE`

Method Summary
`java.lang.String` `toString()`
`static ParametricQueryNode.CompareOperator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParametricQueryNode.CompareOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LE

    public static final ParametricQueryNode.CompareOperator LE

### LT

    public static final ParametricQueryNode.CompareOperator LT

### GE

    public static final ParametricQueryNode.CompareOperator GE

### GT

    public static final ParametricQueryNode.CompareOperator GT

### EQ

    public static final ParametricQueryNode.CompareOperator EQ

### NE

    public static final ParametricQueryNode.CompareOperator NE

Method Detail

### values

    public static ParametricQueryNode.CompareOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParametricQueryNode.CompareOperator c : ParametricQueryNode.CompareOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParametricQueryNode.CompareOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ParametricQueryNode.CompareOperator>`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.